### Hierarchy

- OfferRankRepositoryImpl

### Implements

- OfferRankRepository

## Index

### Constructors

- constructor

### Methods

- delete
- getById
- getByOfferId
- getByOfferIdAndRankId
- save
- update

## Constructors

### constructor

- new OfferRankRepositoryImpl(transport: HttpTransport): OfferRankRepositoryImpl

- - Defined in repository/offerRank/OfferRankRepositoryImpl.ts:11

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns OfferRankRepositoryImpl

## Methods

### delete

- delete(offerRankId: number): Promise<number>

- Implementation of OfferRankRepository.delete

  - Defined in repository/offerRank/OfferRankRepositoryImpl.ts:59

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<number>

### getById

- getById(offerRankId: number): Promise<OfferRank>

- Implementation of OfferRankRepository.getById

  - Defined in repository/offerRank/OfferRankRepositoryImpl.ts:32

  #### Parameters

  - ##### offerRankId: number

  #### Returns Promise<OfferRank>

### getByOfferId

- getByOfferId(offerId: number): Promise<Array<OfferRank>>

- Implementation of OfferRankRepository.getByOfferId

  - Defined in repository/offerRank/OfferRankRepositoryImpl.ts:26

  #### Parameters

  - ##### offerId: number

  #### Returns Promise<Array<OfferRank>>

### getByOfferIdAndRankId

- getByOfferIdAndRankId(offerId: number, rankerId: string): Promise<OfferRank>

- Implementation of OfferRankRepository.getByOfferIdAndRankId

  - Defined in repository/offerRank/OfferRankRepositoryImpl.ts:17

  #### Parameters

  - ##### offerId: number

  - ##### rankerId: string

  #### Returns Promise<OfferRank>

### save

- save(rank: OfferRank): Promise<OfferRank>

- Implementation of OfferRankRepository.save

  - Defined in repository/offerRank/OfferRankRepositoryImpl.ts:41

  #### Parameters

  - ##### rank: OfferRank

  #### Returns Promise<OfferRank>

### update

- update(rank: OfferRank): Promise<OfferRank>

- Implementation of OfferRankRepository.update

  - Defined in repository/offerRank/OfferRankRepositoryImpl.ts:50

  #### Parameters

  - ##### rank: OfferRank

  #### Returns Promise<OfferRank>

Generated using TypeDoc